org.apache.directory.mavibot.btree

## Class MavibotInspector

- java.lang.Object
- - org.apache.directory.mavibot.btree.MavibotInspector

-     public class MavibotInspector
      extends Object

  A class to examine a Mavibot database file.
  Author:
    Apache Directory Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MavibotInspector(File dbFile)` A private class to store a few informations about a btree private static BtreeInfo btreeInfo; static { btreeInfo = new BtreeInfo(); } /** Create an instance of MavibotInspector

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<Long>` | `getFreePages()`
    `static List<Long>` | `getGlobalPages()`
    `static List<Long>` | `getPageOffsets(String pageArrayName)` Gives a list of offsets of pages from the page array associated wit the given name.
    `void` | `inspectBTree()` Check a B-tree
    `static void` | `main(String[] args)` Main method
    `void` | `printBTreeNames()` Print the B-tree's name
    `void` | `printFileSize()` Pretty print the file size
    `void` | `printNumberOfBTrees()` Print the number of B-trees
    `void` | `start()` The entry point method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MavibotInspector

          public MavibotInspector(File dbFile)

      A private class to store a few informations about a btree private static BtreeInfo btreeInfo; static { btreeInfo = new BtreeInfo(); } /** Create an instance of MavibotInspector
      Parameters:
        `dbFile` - The file to read

  - ### Method Detail

    - #### printFileSize

          public void printFileSize()
                             throws IOException

      Pretty print the file size
      Throws:
        `IOException`

    - #### printNumberOfBTrees

          public void printNumberOfBTrees()

      Print the number of B-trees

    - #### printBTreeNames

          public void printBTreeNames()

      Print the B-tree's name

    - #### inspectBTree

          public void inspectBTree()

      Check a B-tree

    - #### getFreePages

          public static List<Long> getFreePages()
                                         throws IOException

      Throws:
        `IOException`
      See Also:
        `#getPageOffsets()`

    - #### getGlobalPages

          public static List<Long> getGlobalPages()
                                           throws IOException

      Throws:
        `IOException`
      See Also:
        `#getPageOffsets()`

    - #### getPageOffsets

          public static List<Long> getPageOffsets(String pageArrayName)
                                           throws IOException

      Gives a list of offsets of pages from the page array associated wit the given name. This method should always be called after calling check() method.
      Returns:
        a list of offsets
      Throws:
        `IOException`

    - #### start

          public void start()
                     throws Exception

      The entry point method
      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Main method
      Throws:
        `Exception`

Copyright © 2012–2015 Apache Mavibot Project Parent. All rights reserved.